{
   

   "iron+copper+tin+coal+perdiot": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block0", "metadata": 11, "weight": 10},
            {"name": "denseores:block5", "metadata": 3, "weight": 20},
            {"name": "denseores:block5", "metadata": 4, "weight": 10},
            {"name": "denseores:block0", "metadata": 6, "weight": 30},
            {"name": "denseores:block0", "metadata": 0, "weight": 10}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 55,
        "maxHeight": 65,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

        "gold+lapis+redstone+diamond+ruby": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block0", "metadata": 1, "weight": 20},
            {"name": "denseores:block0", "metadata": 2, "weight": 10},
            {"name": "denseores:block0", "metadata": 5, "weight": 50},
            {"name": "denseores:block0", "metadata": 3, "weight": 10},
            {"name": "denseores:block0", "metadata": 10, "weight": 10}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 4,
        "maxHeight": 10,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

         "ferrous+silver+lead+topaz": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block5", "metadata": 7, "weight": 20},
            {"name": "denseores:block5", "metadata": 5, "weight": 35},
            {"name": "denseores:block5", "metadata": 6, "weight": 35},
            {"name": "denseores:block0", "metadata": 12, "weight": 10}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 15,
        "maxHeight": 25,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

         "Zinc+platinium+manganese+tanzanite+emerald": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block2", "metadata": 10, "weight": 35},
            {"name": "denseores:block2", "metadata": 12, "weight": 5},
            {"name": "denseores:block1", "metadata": 2, "weight": 35},
            {"name": "denseores:block0", "metadata": 13, "weight": 20},
            {"name": "denseores:block0", "metadata": 4, "weight": 5}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 20,
        "maxHeight": 30,
        "retrogen": "false",
        "biomeRestriction": "whielist",
        "biomes": [
        3,
        131,
        34,
        162,
        100,
        41,
        48,
        53,
        65,
        74, 
        98


        ],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

        "promethoeum+deepiron+infus+atlarus+ourclase+astralsiver+saphire": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block1", "metadata": 15, "weight": 30},
            {"name": "denseores:block1", "metadata": 6, "weight": 30},
            {"name": "denseores:block1", "metadata": 7, "weight": 10},
            {"name": "denseores:block1", "metadata": 15, "weight": 5},
            {"name": "denseores:block1", "metadata": 8, "weight": 5},
            {"name": "denseores:block1", "metadata": 9, "weight": 10},
            {"name": "denseores:block0", "metadata": 15, "weight": 10}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 30,
        "maxHeight": 40,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },


        "carmot+mithril+rubircan+malchanite+ourichalcum+amdamintine": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block1", "metadata": 10, "weight": 30},
            {"name": "denseores:block1", "metadata": 11, "weight": 30},
            {"name": "denseores:block1", "metadata": 12, "weight": 15},
            {"name": "denseores:block0", "metadata": 14, "weight": 5},
            {"name": "denseores:block1", "metadata": 13, "weight": 15},
            {"name": "denseores:block1", "metadata": 14, "weight": 5}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 40,
        "maxHeight": 50,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

        "minerials": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block2", "metadata": 14, "weight": 20},
            {"name": "denseores:block2", "metadata": 13, "weight": 20},
            {"name": "denseores:block3", "metadata": 2, "weight": 20},
            {"name": "denseores:block3", "metadata": 0, "weight": 20},
            {"name": "denseores:block2", "metadata": 15, "weight": 10},
            {"name": "denseores:block3", "metadata": 1, "weight": 10}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 50,
        "maxHeight": 65,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

        "AE": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block0", "metadata": 8, "weight": 25},
            {"name": "denseores:block0", "metadata": 9, "weight": 5},
            {"name": "appliedenergistics2:tile.BlockSkyStone", "metadata": 0, "weight": 70}
          
        ],
        "material": "minecraft:stone",
        "clusterSize": 5,
        "numClusters": 1,
        "minHeight": 0,
        "maxHeight": 60,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

         "uranium+thorium+tetrahedrite+tungsten+iridium": {
        "template": "uniform",
        "block": [
            {"name": "Magneticraft:uranium_ore", "metadata": 14, "weight": 25},
            {"name": "Magneticraft:thorium_ore", "metadata": 13, "weight": 25},
            {"name": "techreborn:techreborn.ore", "metadata": 12, "weight": 25},
            {"name": "techreborn:techreborn.ore", "metadata": 1, "weight": 25}
        ],
        "material": "minecraft:stone",
        "clusterSize": 20,
        "numClusters": 1,
        "minHeight": 0,
        "maxHeight": 20,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0  
        ]


        },

        "nethermetallurgy": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block2", "metadata": 0, "weight": 10},
            {"name": "denseores:block2", "metadata": 1, "weight": 10},
            {"name": "denseores:block2", "metadata": 2, "weight": 10},
            {"name": "denseores:block2", "metadata": 3, "weight": 10},
            {"name": "denseores:block2", "metadata": 4, "weight": 10},
            {"name": "denseores:block2", "metadata": 5, "weight": 10},
            {"name": "denseores:block2", "metadata": 6, "weight": 10},
            {"name": "denseores:block2", "metadata": 7, "weight": 10},
            {"name": "denseores:block2", "metadata": 8, "weight": 10},
            {"name": "denseores:block2", "metadata": 9, "weight": 10}
        ],
        "material": "minecraft:netherrack",
        "clusterSize": 35,
        "numClusters": 5,
        "minHeight": 50,
        "maxHeight": 110,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        -1
        ]


        },

        "nethertechreborn": {
        "template": "uniform",
        "block": [
            {"name": "techreborn:techreborn.ore", "metadata": 5, "weight": 70},
            {"name": "techreborn:techreborn.ore", "metadata": 6, "weight": 10},
            {"name": "techreborn:techreborn.ore", "metadata": 7, "weight": 10}
        ],
        "material": "minecraft:netherrack",
        "clusterSize": 35,
        "numClusters": 5,
        "minHeight": 50,
        "maxHeight": 110,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        -1
        ]


        },

        "netherfirstsetregular": {
        "template": "uniform",
        "block": [
            {"name": "denseores:block4", "metadata": 0, "weight": 6},
            {"name": "denseores:block4", "metadata": 1, "weight": 6},
            {"name": "denseores:block4", "metadata": 2, "weight": 6},
            {"name": "denseores:block4", "metadata": 3, "weight": 6},
            {"name": "denseores:block4", "metadata": 4, "weight": 6},
            {"name": "denseores:block4", "metadata": 5, "weight": 6},
            {"name": "denseores:block4", "metadata": 6, "weight": 6},
            {"name": "denseores:block4", "metadata": 7, "weight": 6},
            {"name": "denseores:block4", "metadata": 8, "weight": 6},
            {"name": "denseores:block4", "metadata": 9, "weight": 6},
            {"name": "denseores:block4", "metadata": 10, "weight": 16},
            {"name": "denseores:block4", "metadata": 11, "weight": 6},
            {"name": "denseores:block4", "metadata": 12, "weight": 6},
            {"name": "denseores:block4", "metadata": 13, "weight": 6},
            {"name": "denseores:block4", "metadata": 14, "weight": 6},
            {"name": "denseores:block4", "metadata": 15, "weight": 6}
        ],
        "material": "minecraft:netherrack",
        "clusterSize": 35,
        "numClusters": 5,
        "minHeight": 15,
        "maxHeight": 50,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        -1
        ]


        },


        "nethersecondsetregular": {
        "template": "uniform",
        "block": [
        
            {"name": "denseores:block3", "metadata": 3, "weight": 13},
            {"name": "denseores:block3", "metadata": 4, "weight": 13},
            {"name": "denseores:block3", "metadata": 5, "weight": 13},
            {"name": "denseores:block3", "metadata": 6, "weight": 13},
            {"name": "denseores:block3", "metadata": 7, "weight": 13},
            {"name": "denseores:block3", "metadata": 8, "weight": 13},
            {"name": "denseores:block3", "metadata": 9, "weight": 13},
            {"name": "denseores:block3", "metadata": 10, "weight": 22},
            {"name": "denseores:block3", "metadata": 11, "weight": 13},
            {"name": "denseores:block3", "metadata": 12, "weight": 13},
            {"name": "denseores:block3", "metadata": 13, "weight": 13},
            {"name": "denseores:block3", "metadata": 14, "weight": 13},
            {"name": "denseores:block3", "metadata": 15, "weight": 13}
        ],
        "material": "minecraft:netherrack",
        "clusterSize": 35,
        "numClusters": 5,
        "minHeight": 15,
        "maxHeight": 50,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        -1
        ]


        },






    "dirt": {
        "template": "uniform",
        "block": "dirt",
        "material": "minecraft:stone",
        "clusterSize": 32,
        "numClusters": 20,
        "minHeight": 0,
        "maxHeight": 128,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
           
        ]
    },
    "gravel": {
        "template": "uniform",
        "block": "gravel",
        "material": "stone",
        "clusterSize": 32,
        "numClusters": 10,
        "minHeight": 0,
        "maxHeight": 128,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
           
        ]
    },
    "coal": {
        "template": "uniform",
        "block": "coal_ore",
        "material": "stone",
        "clusterSize": 16,
        "numClusters": 20,
        "minHeight": 0,
        "maxHeight": 128,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
          
        ]
    },
    "iron": {
        "template": "uniform",
        "block": "iron_ore",
        "material": "minecraft:stone",
        "clusterSize": 8,
        "numClusters": 20,
        "minHeight": 0,
        "maxHeight": 64,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
          
        ]
    },
    "gold": {
        "template": "uniform",
        "block": "gold_ore",
        "material": "minecraft:stone",
        "clusterSize": 8,
        "numClusters": 2,
        "minHeight": 0,
        "maxHeight": 32,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
          
        ]
    },
    "redstone": {
        "template": "uniform",
        "block": "redstone_ore",
        "material": "minecraft:stone",
        "clusterSize": 7,
        "numClusters": 8,
        "minHeight": 0,
        "maxHeight": 16,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
         
        ]
    },
    "diamond": {
        "template": "uniform",
        "block": "diamond_ore",
        "material": "minecraft:stone",
        "clusterSize": 4,
        "numClusters": 5,
        "minHeight": 0,
        "maxHeight": 5,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
        0
          
        ]
    },
    "lapis": {
        "template": "normal",
        "block": "lapis_ore",
        "material": "minecraft:stone",
        "clusterSize": 6,
        "numClusters": 1,
        "meanHeight": 16,
        "maxVariance": 16,
        "retrogen": "false",
        "biomeRestriction": "none",
        "biomes": [],
        "dimensionRestriction": "whitelist",
        "dimensions": [
           
        ]
    },
    "quartz": {
        "template": "uniform",
        "block": "quartz_ore",
        "material": "minecraft:netherrack",
        "clusterSize": 13,
        "numClusters": 16,
        "minHeight": 10,
        "maxHeight": 118,
        "retrogen": "false",
        "biomeRestriction": "whitelist",
        "biomes": [
            {"type": "dictionary", "entry": "NETHER"}
        ],
        "dimensionRestriction": "whitelist",
        "dimensions": []
    }
}